##
##  libsmbclient.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         libsmbclient
Summary:      SMB/CIFS Client Library
URL:          http://www.samba.org/
Vendor:       Andrew Tridgell
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Filesystem
License:      GPL
Version:      4.0.10
Release:      20131008

#   list of sources
Source0:      http://us1.samba.org/samba/ftp/samba-%{version}.tar.gz
Patch0:       libsmbclient.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make
PreReq:       OpenPKG, openpkg >= 20160101, perl
BuildPreReq:  openssl, libiconv
PreReq:       openssl, libiconv

%description
    This is the SMB/CIFS client library of Samba.

%track
    prog libsmbclient:samba = {
        version   = %{version}
        url       = http://download.samba.org/samba/ftp/
        regex     = samba-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n samba-%{version}
    %patch -p0

%build
    cd source3
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags openssl} -DOPENSSL_DISABLE_OLD_DES_SUPPORT" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --with-libsmbclient \
        --without-pam \
        --without-acl-support \
        --disable-pie \
        --disable-cups \
        --without-ldap \
        --without-ads
    %{l_make} %{l_mflags} \
        all libsmbclient

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/include \
        $RPM_BUILD_ROOT%{l_prefix}/lib
    %{l_shtool} install -c -m 644 \
        source3/include/libsmbclient.h \
        $RPM_BUILD_ROOT%{l_prefix}/include/
    %{l_shtool} install -c -m 644 \
        source3/bin/libsmbclient.a \
        $RPM_BUILD_ROOT%{l_prefix}/lib/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

